Bug 1549106 - Incorrect License information in RPM specfile
Summary: Incorrect License information in RPM specfile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks: 1549108 1549315
TreeView+ depends on / blocked
 
Reported: 2018-02-26 12:15 UTC by Daniel Berrangé
Modified: 2018-11-01 11:06 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1549108 1549315 (view as bug list)
Environment:
Last Closed: 2018-11-01 11:04:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3443 None None None 2018-11-01 11:06:44 UTC

Description Daniel Berrangé 2018-02-26 12:15:12 UTC
Description of problem:
The qemu-kvm RPM spec currently says

   License: GPLv2+ and LGPLv2+ and BSD

which is nice, except it doesn't reflect reality.

 - Some of the source files are GPLv2-only
 - Many of the source files are MIT license (much of block/ and audio/ dirs)
 - The QEMU logo is CC-BY-3.0

In addition, per:

  https://fedoraproject.org/wiki/Licensing:FAQ?rd=Licensing/FAQ#How_should_I_handle_multiple_licensing_situations.3F

If you have GPLv2-only and GPLv2-or-later in the same package, then the License, should only say "GPLv2", no need to include "GPLv2+" also. I believe the same would apply for LGPLv2+, because the presence of GPLv2-only code forces LGPLv2+ to become GPLv2-only.

So I think the correct License statement would be

  License: GPLv2 and BSD and MIT and CC-BY

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.10.0-16.el7

Comment 5 Miroslav Rezanina 2018-05-16 07:50:38 UTC
Fix included in qemu-kvm-rhev-2.12.0-2.el7

Comment 8 errata-xmlrpc 2018-11-01 11:04:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3443


Note You need to log in before you can comment on or make changes to this bug.